﻿@font-face {
    font-family: IRANSans-B;
    font-style: normal;
    font-weight: 600;
    src: url(../fonts/IRANSansWeb_Bold.eot);
    src: url(../fonts/IRANSansWeb_Bold.eot?#iefix) format("embedded-opentype"), url(../fonts/IRANSansWeb_Bold.woff2) format("woff2"), url(../fonts/IRANSansWeb_Bold.woff) format("woff"), url(../fonts/IRANSansWeb_Bold.ttf) format("truetype")
}

@font-face {
    font-family: IRANSans-L;
    font-style: normal;
    font-weight: 300;
    src: url(../fonts/IRANSansWeb_Light.eot);
    src: url(../fonts/IRANSansWeb_Light.eot?#iefix) format("embedded-opentype"), url(../fonts/IRANSansWeb_Light.woff2) format("woff2"), url(../fonts/IRANSansWeb_Light.woff) format("woff"), url(../fonts/IRANSansWeb_Light.ttf) format("truetype")
}

@font-face {
    font-family: IRANSans;
    font-style: normal;
    font-weight: 400;
    src: url(../fonts/IRANSansWeb.eot);
    src: url(../fonts/IRANSansWeb.eot?#iefix) format("embedded-opentype"), url(../fonts/IRANSansWeb.woff2) format("woff2"), url(../fonts/IRANSansWeb.woff) format("woff"), url(../fonts/IRANSansWeb.ttf) format("truetype")
}

*, *::before, *::after {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    font-family: 'IRANSans';
}

:root {
    --bg-primary: #010e3a;
    --bg-secondary: #f29d29;
}

body {
    overflow: hidden;
    width: 100svw;
    height: 100svh;
    background-image: url("../image/bg_main.jpg");
    /*background-color: var(--bg-primary);*/
    background-size: cover;
    color: #fff;
    display: flex;
    justify-content: end;
}

.loginContainer {
    width: 25%;
    min-width: 350px;
    height: 100svh;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 1rem 2rem;
    gap: 1.3rem;
}

.logo {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    font-size: .7em;

    & > img {
        width: 10rem;
        /*height:10rem;*/
        /*border-radius: 50%;*/
    }
}

.description {
    display: flex;
    flex-direction: column;
    justify-content: center;
    width: 100%;
    text-align: justify;
    font-size: 1.3em;
    font-weight: 500;
    margin-bottom: 1em;

    & > span {
        font-size: .8em;
    }
}

    .description p,
    .description span {
        display: block;
        width: 100%;
        text-align: center;
        text-wrap: balance;
    }

    .description p {
        margin-bottom: 10%;
        margin-top: 5%;
        font-family: IRANSans-B;
        font-size: 1.5em;
    }

.formContainer {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    font-size: .8em;
    gap: 1rem;

    & > h3 {
        background: var(--bg-secondary);
        color: var(--bg-primary);
        padding: .7rem;
        text-align: center;
        width: 100%;
        border-radius: 3px;
        font-family: IRANSans-B;
    }

    & > .loginForm {
        width: 100%;
        display: flex;
        justify-content: center;
        align-items: center;
        flex-direction: column;
        gap: .6rem;

        & > label {
            font-family: IRANSans-B;
            color: var(--bg-secondary);
        }

        & > input {
            border-radius: 3px;
            width: 100%;
            outline: none;
            border: none;
            padding: .7rem;
            text-align: center;
        }

        & > button {
            padding: .7rem;
            width: 100%;
            border: none;
            outline: none;
            background-color: #bbb8b5;
            color: var(--bg-primary);
            border-radius: 3px;
            cursor: pointer;
            font-family: IRANSans-B;
            transition: 0.3s;
        }

            & > button:hover {
                opacity: 0.9;
            }
    }
}
.sendbtn { 
        padding: .7rem;
        width: 100%;
        border: none;
        outline: none;
        background-color: #bbb8b5;
        color: var(--bg-primary);
        border-radius: 3px;
        cursor: pointer;
        font-family: IRANSans-B;
        transition: 0.3s;
    
}

#otp_in, #mobile_in {
    width: 100%;
    display: flex;
    justify-content: center;
    flex-direction: column;
    gap: .6rem;

    & > label {
        font-family: IRANSans-B;
        color: var(--bg-secondary);
    }

    & > input {
        border-radius: 3px;
        width: 100%;
        outline: none;
        border: none;
        padding: .7rem;
        text-align: center;
    }
}

#otp_in {
    display: none;
}

.formContainer .send {
    width: 100%;
    display: flex;
    justify-content: end;

    & > button {
        padding: .7rem;
        width: 100%;
        border: none;
        outline: none;
        background-color: var(--bg-secondary);
        color: var(--bg-primary);
        border-radius: 3px;
        cursor: pointer;
        font-family: IRANSans-B;
        transition: 0.3s;
    }

        & > button:hover {
            border-right-style: solid;
            border-right-width: 4px;
            border-right-color: #fff;
        }
}

.resendbutton {
    padding: .7rem;
    width: 100%;
    border: none;
    outline: none;
    background-color: #bbb8b5;
    color: var(--bg-primary);
    border-radius: 3px;
    cursor: pointer;
    font-family: IRANSans-B;
    transition: 0.3s;
}

    .resendbutton:hover {
        opacity: 0.9;
    }

#otp_time {
    display: none;
    width: 20%;
    text-align: center;

    & > span {
        display: block;
        background: #48d7ee;
        padding: .5em;
        border-radius: 5px;
    }
}

#resend_in {
    display: none;
    width: 100%;
}

#errorText {
    display: none;
    text-align: center;
    direction: rtl;
    color: white !important;
    font-size: 0.9rem;
    width: 100%;
    background-color: #d03333;
    padding: 2%;
    border-radius: 5px;
}

#succText {
    display: none;
    text-align: center;
    direction: rtl;
    color: white;
    font-size: 0.9rem;
    width: 100%;
    background-color: #14c48a;
    padding: 2%;
    border-radius: 5px;
}

.copyright {
    width: 70%;
    text-wrap: break-word;
    text-align: center;
    font-size: .7em;
}

.socialIcons {
    width: 70%;
    display: flex;
    justify-content: center;
    gap: 1rem;

    & > a img {
        width: 20px;
        cursor: pointer;
    }
}

@media only screen and (min-width: 1470px) and (max-width: 1600px) {
    .loginContainer {
        width: 30%;
        height: 100svh;
    }

    .socialIcons {
        margin-top: -1em;
    }

    .logo {
        & > img {
            width: 8rem;
            /*height: 8rem;*/
            /*border-radius: 50%;*/
        }
    }

    .description p {
        margin-bottom: 2%;
        margin-top: 2%;
        font-family: IRANSans-B;
        font-size: 1em;
    }

    .description {
        & > span {
            font-size: .7em;
        }
    }

    .formContainer .send {
        margin-top: -1em;

        & > button {
            padding: .4rem;
        }
    }
}

@media only screen and (min-width: 1280px) and (max-width: 1376px) {
    .loginContainer {
        width: 30%;
        height: 100svh;
    }

    .socialIcons {
        margin-top: -1em;
    }

    .logo {
        & > img {
            width: 8rem;
            /*height: 8rem;*/
            /*border-radius: 50%;*/
        }
    }

    .description p {
        margin-bottom: 2%;
        margin-top: 2%;
        font-family: IRANSans-B;
        font-size: 1em;
    }

    .description {
        & > span {
            font-size: .7em;
        }
    }

    .formContainer .send {
        margin-top: -1em;

        & > button {
            padding: .4rem;
        }
    }
}

@media only screen and (min-width: 1252px) and (max-width: 1366px) {
    .loginContainer {
        width: 30%;
        height: 100svh;
    }

    .socialIcons {
        margin-top: -1em;
    }

    .logo {
        & > img {
            width: 7rem;
            /*height: 7rem;*/
            /*border-radius: 50%;*/
        }
    }

    .description {
        margin-bottom: 0.5em;
        margin-top: -1em;
    }

        .description p {
            margin-bottom: 2%;
            margin-top: 2%;
            font-family: IRANSans-B;
            font-size: 1em;
        }

    .description {
        & > span {
            font-size: .7em;
        }
    }

    .formContainer {
        margin-top: -1.5em;
        font-size: .7em;

        & > h3 {
            padding: .4rem;
        }

        & > .loginForm {
            & > button {
                padding: .4rem;
                font-size: 0.8rem;
            }
        }
    }

    #otp_in, #mobile_in {
        & > input {
            padding: .3rem;
            margin-top: -.5em;
            font-size: .7rem;
        }
    }

    .formContainer .send {
        margin-top: -1em;

        & > button {
            padding: .4rem;
        }
    }
}

@media only screen and (min-width: 1216px) and (max-width: 1279px) {
    .loginContainer {
        width: 30%;
        height: 100svh;
    }

    .logo {
        & > img {
            width: 7rem;
            /*height: 7rem;*/
            /*border-radius: 50%;*/
        }
    }

    .loginForm {
        margin-top: -.6em;
    }

    .description {
        margin-bottom: 0.5em;
        margin-top: -1em;
    }

        .description p {
            margin-bottom: 2%;
            margin-top: 2%;
            font-family: IRANSans-B;
            font-size: 1em;
        }

    .description {
        & > span {
            font-size: .6em;
        }
    }

    .formContainer {
        margin-top: -1.5em;
        font-size: .7em;

        & > h3 {
            padding: .4rem;
            font-size: .7rem;
        }

        & > .loginForm {
            & > button {
                padding: .3rem;
                font-size: 0.7rem;
            }
        }
    }

    #otp_in, #mobile_in {
        & > input {
            padding: .3rem;
            margin-top: -.5em;
            font-size: .7rem;
        }
    }

    .copyright {
        font-size: .6em;
    }

    .formContainer .send {
        & > button {
            padding: .4rem;
        }
    }
}

@media only screen and (min-width: 1047px) and (max-width: 1139px) {
    .loginContainer {
        width: 30%;
        height: 100svh;
    }

    .logo {
        & > img {
            width: 5rem;
            /*height: 5rem;*/
            /*border-radius: 50%;*/
        }
    }

    .loginForm {
        margin-top: -.6em;
    }

    .description {
        margin-bottom: 0.5em;
        margin-top: -1em;
    }

        .description p {
            margin-bottom: 2%;
            margin-top: 2%;
            font-family: IRANSans-B;
            font-size: 1em;
        }

    .description {
        & > span {
            font-size: .6em;
        }
    }

    .formContainer {
        margin-top: -1.5em;
        font-size: .7em;

        & > h3 {
            padding: .4rem;
            font-size: .7rem;
        }

        & > .loginForm {
            & > button {
                padding: .3rem;
                font-size: 0.7rem;
            }
        }
    }

    #otp_in, #mobile_in {
        & > input {
            padding: .3rem;
            margin-top: -.5em;
            font-size: .7rem;
        }
    }

    .copyright {
        font-size: .6em;
    }

    .formContainer .send {
        & > button {
            padding: .4rem;
        }
    }
}

@media only screen and (max-width: 480px) {
    body {
        display: flex;
        justify-content: center;
    }

    .loginContainer {
        width: 100%;
        height: 100svh;
    }

    .description {
        font-size: 1em;
        font-weight: 700;

        & > span {
            font-size: .8em;
        }
    }
}

@media only screen and (min-width: 481px) and (max-width: 767px) {
    body {
        display: flex;
        justify-content: center;
    }

    .loginContainer {
        width: 70%;
        height: 100svh;
    }

    .description {
        font-size: 1.2em;
        font-weight: 700;

        & > span {
            font-size: .8em;
        }
    }
}
